Bug 9873 - String.getBytes() garbles long strings, devours memory
String.getBytes() garbles long strings, devours memory
Product: Red Hat Linux
Classification: Retired
Component: kaffe (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-02-29 18:41 EST by John Stracke
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-11 10:41:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Stracke 2000-02-29 18:41:52 EST
String.getBytes() has some weird bug where, if the string is over 1024
characters (or perhaps it's if the output is over 1024 bytes), it
garbles the output, makes it longer than it's supposed to be, and, for
strings over about 2048 characters, consumes vast amounts of CPU and
memory.  This has previously been reported to the Kaffe developers,
but they weren't able to replicate it.

The URL above has more details, a fix, and a link to the Kaffe bug-tracking
system where I also reported the bug.

I'm marking Severity as "high" because it does cause crashes.  Converting
an 1800-character string to bytes maxed out my memory (it took up something
over 32M) and choked my system to a crawl until it ran out of memory and
Comment 1 Bill Nottingham 2000-04-11 10:41:59 EDT
Fixed in kaffe-1.0.5-4. Thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.